// Use Scanner class instead of BufferedReader
import java.util.Scanner;
//import java.io.* ;
public class CoffeeKlatsch {

	public static void main(String[] args)  {
		//set up keyboard input
		Scanner input = new Scanner(System.in);
		// Allow user to set the strength of the coffee
		CoffeeMachine Bob = new CoffeeMachine();
		System.out.println("How strong do you want your coffee?");
		Bob.setStrength(input.next());
		input.close();
		// Prepare to brew coffee.
		Bob.addBeans();
		Bob.addWater();
		Bob.grindBeans();
		// A coffee cup for this simulation.
		CoffeeCup Bill = new CoffeeCup("Bill");
		Bill.getName();
		// Try brewing coffee and drinking a few times.
		Bob.brew(Bill);
		Bill.drink();
		Bill.fill();
		Bill.drink();
		// Try it again, with another coffee cup.
	}
}
